/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: JaxpXPathProvider.java,v 7c4c12f56f1f 2010/06/20 22:05:19 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.factsheet.xenocanto.impl;

import javax.annotation.Nonnull;
import org.jaxen.XPath;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class JaxpXPathProvider extends XPathProvider
  {
    @Nonnull
    public XPath createXPath (final @Nonnull Object document, final @Nonnull String expression)
      throws Exception
      {
        return new JaxpXPath(expression);
      }
  }
